 .../TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs      | 11 +++++------
 TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs   |  8 +-------
 .../Configuration/Subdialogs/DlgSkinSettings.cs        | 18 +++++++++++++++---
 3 files changed, 21 insertions(+), 16 deletions(-)

diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs
index ff1fe16..9861860 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs
@@ -186,10 +186,11 @@ namespace TvPlugin
         _hdtvProgramText = xmlreader.GetValueAsString("myradio", "hdtvProgramText", "(HDTV)");
         _guideContinuousScroll = xmlreader.GetValueAsBool("myradio", "continuousScrollGuide", false);
         _loopDelay = xmlreader.GetValueAsInt("gui", "listLoopDelay", 0);
+        _useBorderHighlight = xmlreader.GetValueAsBool("mytv", "useborderhighlight", false);
       }
 
       // Load settings defined by the skin.
-      LoadSkinSettings();
+//      LoadSkinSettings();
 
       // Load genre colors.
       // If guide colors have not been loaded then attempt to load guide colors.
@@ -216,13 +217,11 @@ namespace TvPlugin
 
     protected override void LoadSkinSettings()
     {
-      String temp;
-
       _useBorderHighlight = false;
-      temp = GUIPropertyManager.GetProperty("#skin.tvguide.useborderhighlight");
-      if (temp != null && temp.Length != 0)
+
+      using (Settings xmlreader = new MPSettings())
       {
-        _useBorderHighlight = bool.Parse(temp);
+        _useBorderHighlight = xmlreader.GetValueAsBool("mytv", "useborderhighlight", false);
       }
     }
 
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
index 971e9a5..96a71ca 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
@@ -153,6 +153,7 @@ namespace TvPlugin
         _hdtvProgramText = xmlreader.GetValueAsString("mytv", "hdtvProgramText", "(HDTV)");
         _guideContinuousScroll = xmlreader.GetValueAsBool("mytv", "continuousScrollGuide", false);
         _loopDelay = xmlreader.GetValueAsInt("gui", "listLoopDelay", 0);
+        _useBorderHighlight = xmlreader.GetValueAsBool("mytv", "useborderhighlight", false);
 
         // Load the genre map.
         if (_mpGenres == null)
@@ -196,13 +197,6 @@ namespace TvPlugin
         _useColorsForButtons = bool.Parse(temp);
       }
 
-      _useBorderHighlight = false;
-      temp = GUIPropertyManager.GetProperty("#skin.tvguide.useborderhighlight");
-      if (temp != null && temp.Length != 0)
-      {
-        _useBorderHighlight = bool.Parse(temp);
-      }
-
       _useColorsForGenres = false;
       temp = GUIPropertyManager.GetProperty("#skin.tvguide.usecolorsforgenre");
       if (temp != null && temp.Length != 0)
diff --git a/mediaportal/Configuration/Subdialogs/DlgSkinSettings.cs b/mediaportal/Configuration/Subdialogs/DlgSkinSettings.cs
index da279eb..2280c7c 100644
--- a/mediaportal/Configuration/Subdialogs/DlgSkinSettings.cs
+++ b/mediaportal/Configuration/Subdialogs/DlgSkinSettings.cs
@@ -1019,6 +1019,14 @@ namespace MediaPortal.Configuration.Sections
         catch (System.IO.FileNotFoundException) {}
       }
 
+      // border selected program
+
+      using (Settings xmlreader = new MPSettings())
+      {
+        cbBorderHighlight.Checked =
+            xmlreader.GetValueAsBool("mytv", "useborderhighlight", false);
+      }
+
       // Load tv guide colors.
       using (Settings xmlreader = new SKSettings())
       {
@@ -1048,8 +1056,6 @@ namespace MediaPortal.Configuration.Sections
             bool.Parse(xmlreader.GetValueAsString("booleansettings", "#skin.tvguide.usecolorsforgenre", "False"));
           cbGenreColorKey.Checked =
             bool.Parse(xmlreader.GetValueAsString("booleansettings", "#skin.tvguide.showgenrekey", "False"));
-          cbBorderHighlight.Checked =
-            bool.Parse(xmlreader.GetValueAsString("booleansettings", "#skin.tvguide.useborderhighlight", "False"));
 
           cbGenreColoring.Enabled = cbColoredGuide.Checked;
           cbGenreColorKey.Enabled = cbGenreColoring.Checked;
@@ -1122,13 +1128,19 @@ namespace MediaPortal.Configuration.Sections
     {
       if (SettingsForm.UseTvServer)
       {
+        // border selected program
+
+        using (Settings xmlwriter = new MPSettings())
+        {
+           xmlwriter.SetValueAsBool("mytv", "useborderhighlight", cbBorderHighlight.Checked);
+        }
+
         using (Settings xmlwriter = new SKSettings())
         {
           xmlwriter.SetValue("theme", "name", listViewAvailableThemes.SelectedItems[0].Text);
 
           xmlwriter.SetValue("booleansettings", "#skin.tvguide.usecolorsforbuttons", cbColoredGuide.Checked);
           xmlwriter.SetValue("booleansettings", "#skin.tvguide.usecolorsforgenre", cbGenreColoring.Checked);
-          xmlwriter.SetValue("booleansettings", "#skin.tvguide.useborderhighlight", cbBorderHighlight.Checked);
           xmlwriter.SetValue("booleansettings", "#skin.tvguide.showgenrekey", cbGenreColorKey.Checked);
 
           SaveGuideColors(xmlwriter);
